##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

INCLUDES = -I. -I../mbase

# @code 

CINT     = Data
LIB      = mdata.a

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MData.cc \
	   MDataMember.cc \
	   MDataValue.cc \
	   MDataList.cc \
	   MDataChain.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode

